from collections import OrderedDict

grammar = OrderedDict(
    {
        "Telheader_Quelle": {
            "type": "str",
            "length": 10,
            "dp": False,
            "ubl_path": False,
            "df_val": False,
            "df_func": "get_source",
        },
        "Telheader_Ziel": {
            "type": "str",
            "length": 10,
            "dp": False,
            "ubl_path": False,
            "df_val": False,
            "df_func": "get_destination",
        },
        "Telheader_TelSeq": {
            "type": "int",
            "length": 6,
            "dp": False,
            "df_val": False,
            "df_func": "get_sequence_number",
        },
        "Telheader_AnlZeit": {
            "type": "datetime",
            "length": 14,
            "dp": False,
            "df_val": False,
            "df_func": "get_current_datetime",
        },
        "Satzart": {
            "type": "str",
            "length": 9,
            "dp": False,
            "df_val": "LST000051",
            "df_func": False,
        },
        "Lst_Mand": {
            "type": "str",
            "length": 3,
            "dp": False,
            "dict_key": False,
            "df_val": "000",
            "df_func": False,
        },
        "Lst_LiefNr": {
            "type": "str",
            "length": 13,
            "dp": False,
            "dict_key": "ref",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Name": {
            "type": "str",
            "length": 40,
            "dp": False,
            "dict_key": "name",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Name2": {
            "type": "str",
            "length": 40,
            "dp": False,
            "dict_key": "name2",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Name3": {
            "type": "str",
            "length": 40,
            "dp": False,
            "dict_key": "name3",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Name4": {
            "type": "str",
            "length": 40,
            "dp": False,
            "dict_key": "name4",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Anrede": {
            "type": "str",
            "length": 15,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Adr": {
            "type": "str",
            "length": 40,
            "dp": False,
            "dict_key": "street",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Adr2": {
            "type": "str",
            "length": 40,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_PLZ": {
            "type": "str",
            "length": 10,
            "dp": False,
            "dict_key": "zip",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Ort": {
            "type": "str",
            "length": 40,
            "dp": False,
            "dict_key": "city",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_OrtTeil": {
            "type": "str",
            "length": 40,
            "dp": False,
            "dict_key": "lang",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Land": {
            "type": "str",
            "length": 4,
            "dp": False,
            "dict_key": "country_code",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Fax": {
            "type": "str",
            "length": 35,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Tel": {
            "type": "str",
            "length": 35,
            "dp": False,
            "dict_key": "phone",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_Email": {
            "type": "str",
            "length": 40,
            "dp": False,
            "dict_key": "email",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_WWW": {
            "type": "str",
            "length": 35,
            "dp": False,
            "dict_key": "website",
            "df_val": False,
            "df_func": False,
        },
        "Lst_Adrs_ILN": {
            "type": "str",
            "length": 13,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "Lst_UIDNr": {
            "type": "str",
            "length": 15,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "Lst_DVRNr": {
            "type": "str",
            "length": 15,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "Lst_LSTTYP_LstTypId": {
            "type": "str",
            "length": 10,
            "dp": False,
            "dict_key": False,
            "df_val": "Standard",
            "df_func": False,
        },
        "Lst_LokLstTyp_AnzWeBeleg": {
            "type": "int",
            "length": 1,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "Lst_LokLstTyp_LiefBewKz": {
            "type": "bool",
            "length": 1,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "Lst_LokLstTyp_StdLgTor": {
            "type": "str",
            "length": 10,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "Lst_LokLstTyp_StdRetTor": {
            "type": "str",
            "length": 10,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "Lst_LokLstTyp_StdWeTor": {
            "type": "str",
            "length": 10,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "Lst_LokLstTyp_UebLiefErl": {
            "type": "bool",
            "length": 1,
            "dp": False,
            "dict_key": False,
            "df_val": "J",
            "df_func": False,
        },
        "Lst_LokLstTyp_WeBelegLay": {
            "type": "str",
            "length": 20,
            "dp": False,
            "dict_key": False,
            "df_val": "Standard",
            "df_func": False,
        },
        "Lst_SatzKz": {
            "type": "str",
            "length": 1,
            "dp": False,
            "dict_key": "game_identifier",
            "df_val": False,
            "df_func": False,
        },
        "Lst_PrueflosWeKz": {
            "type": "bool",
            "length": 1,
            "dp": False,
            "dict_key": False,
            "df_val": "N",
            "df_func": False,
        },
    }
)
